Bug 103424 - Freezes on initializing USB driver ehci-hcd
Freezes on initializing USB driver ehci-hcd
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
http://www.msi.com.tw/program/product...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-29 19:42 EDT by Brian "netdragon" Bober
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian "netdragon" Bober 2003-08-29 19:42:56 EDT
Description of problem:
I have an MSI I845G Max.
http://www.msi.com.tw/program/products/mainboard/mbd/pro_mbd_detail.php?UID=314

If I plug anything into the USB or USB2 ports, the computer freezes on bootup at
the message:

Initializing USB driver ehci-hcd

Otherwise, if I use the USB ports open, they work fine if I plug in items after
boot.

Version-Release number of selected component (if applicable):

Redhat 8.0
Redhat 9.0
(happened on both)


(~)> cat /proc/version
Linux version 2.4.20-8 (bhcompile@porky.devel.redhat.com) (gcc version 3.2.2
20030222 (Red Hat Linux 3.2.2-5)) #1 Thu Mar 13 17:54:28 EST 2003


How reproducible:

Buy the mainboard? :-/ 
You have to plug something into the USB ports on bootup, or it boots fine

Additional info:
I would be willing to do debugging or anything necessary if you want. I'm
desperate. I don't want to constantly unplug USB every time I boot.
Comment 1 Bill Heiden 2003-10-28 22:14:40 EST
This also appears to be a problem with the 2.4.9-e.25smp kernel.  During bootup 
I get the following: modprobe - Can't locate module ehci-hcd.  The machine in 
question is an IBM 6221 (dual 2.8GHZ).  Haven't actually tried to plug in a USB 
device yet...
Comment 2 Brian "netdragon" Bober 2004-03-06 21:38:20 EST
This is still a problem.

I found that if I enable "legacy USB support" that it causes this
issue. If I disable it, the issue goes away.

2.4.20-30.9smp

I still have an MSI I845G Max.
http://www.msi.com.tw/program/products/mainboard/mbd/pro_mbd_detail.php?UID=314
Comment 3 Brian "netdragon" Bober 2004-03-06 21:52:14 EST
"legacy USB support" in BIOS CMOS setup, that is.
Comment 4 Brian "netdragon" Bober 2004-04-13 19:29:05 EDT
This seems to be fixed on FC2 test2 (kernel 2.6.5-1.319). Can anyone
verify?
Comment 5 Bugzilla owner 2004-09-30 11:41:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.